import type { ColumnsItemType } from '../interface';

export interface StoreContextType {
  selectFields: ColumnsItemType[];
  setSelectFields?: (selectFields: ColumnsItemType[]) => void;
  defaultSelectFields: ColumnsItemType[];
  isMultipleDragGroup?: boolean;
  fieldsData: ColumnsItemType[];
  unDisableFields?: string[];
  disableFields: string[];
  checkedValueMap: Map<string, string[]>;
  setCheckedValueMap: (value: Map<string, string[]>) => void;
  fieldDragWidth?: number | string;
  groupSort?: boolean;
  setGroupSort?: (groupSort: boolean) => void;
}